=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
GETTEXT_CREATE_TRANSLATIONS(kid3.pot ALL de.po es.po fr.po it.po ru.po)
